Subject: Re: [PATCH v4 4/4] arm64: Use a variable to store non-global mappings decision

From: Catalin Marinas <[email-masked]>
Date: Thu, 31 Oct 2019 10:18:19 +0000

On Thu, Oct 31, 2019 at 09:18:07AM +0100, Mark Brown wrote:
> On Wed, Oct 30, 2019 at 02:17:32PM +0000, Catalin Marinas wrote:
> > On Wed, Oct 30, 2019 at 12:41:53PM +0000, Mark Brown wrote:
> > > BTW it'd be rather helpful to get patch 1 applied due to the constant
> > > conflicts in cpufeature.h, it's safe by itself.
> 
> > Since we moved to using topic for-next/* branches, usually based on
> > -rc3, I'd rather see patch series on top of the vanilla kernel. We can
> > handle the trivial conflicts.
> 
> > Of course, if there is functional dependency, we can discuss which
> > branch to base it on but I'd avoid for-next/core as a base as that's
> > rather volatile.
> 
> For my working branch I usually track -next since I've been
> burned repeatedly in the past by interactions with other work
> that's going on, both code conflicts and unfortunate runtime
> interactions.

I guess it's up to you, I personally find tracking -next during
development a lot more distracting.

Anyway, if you send patches to Will or me for upstream, please rebase
(and test) on top of the vanilla kernel, otherwise we may not be able to
apply them. You can (should) do a merge with -next and flag any
conflicts or run-time issues.

-- 
Catalin

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel